[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.FindNextControl

Returns the preceding or next control in the tab order.

## Declaration

Source position: controls.pp line 2279

`protected function TWinControl.FindNextControl(`
`CurrentControl: TWinControl;`
`GoForward: Boolean;`
`CheckTabStop: Boolean;`
`CheckParent: Boolean`
`):TWinControl;`

## Arguments

`CurrentControl` |  | The control which has the focus. If Nil, the first control (forward) or last control (backward) in TabOrder is returned, depending on GoForward.
`GoForward` |  | False to find the preceding control.
`CheckTabStop` |  | When True only a control with TabStop enabled is found.
`CheckParent` |  | When True only a control with Parent set to Self is found.

## Function result

The (next) control.

## Description

When CurrentControl is Nil, the first control (forward) or last control (backward) in the TabOrder is returned; direction depends on the value in GoForward.